package data.scripts.shipai;

import com.fs.starfarer.api.combat.ShipAPI;
import com.fs.starfarer.api.combat.ShipCommand;
import com.fs.starfarer.api.combat.WeaponGroupAPI;
import java.util.List;
import java.util.ListIterator;

public final class AutoFireController {
    public static void AutoFire(ShipAPI ship) 
    {
        List<WeaponGroupAPI> weaponGroups = ship.getWeaponGroupsCopy();
        ListIterator<WeaponGroupAPI> groupsIter = weaponGroups.listIterator();
        while (groupsIter.hasNext()){
            WeaponGroupAPI thisGroup = (WeaponGroupAPI) groupsIter.next();
            if(!thisGroup.isAutofiring()){
                ship.giveCommand(ShipCommand.TOGGLE_AUTOFIRE,thisGroup,groupsIter.nextIndex() - 1);
            }
        }
    }
}
