package data.scripts.weapons.ai;
import com.fs.starfarer.api.combat.AutofireAIPlugin;
import com.fs.starfarer.api.combat.ShipAPI;
import com.fs.starfarer.api.combat.WeaponAPI;
import org.lwjgl.util.vector.Vector2f;

public class ThrusterAI implements AutofireAIPlugin {
    private final WeaponAPI theWeapon;

    //Initial setup.  If waitTime = 0f, the guidance begins one frame after launch.
    //Otherwise, drifts until waitTime = 0f (useful for anime-style launch systems)
    public ThrusterAI (WeaponAPI weapon, float theBarrelLength, float theTolerance)
    {
        theWeapon = weapon;
		theWeapon.setAmmo(0);
		theWeapon.setMaxAmmo(0);
    }

    @Override
    public void advance(float amount) {
    }

    @Override
    public boolean shouldFire() {
		return false;
    }

    @Override
    public void forceOff() {
    }

    @Override
    public Vector2f getTarget() {
        return null;
    }

    @Override
    public ShipAPI getTargetShip() {
        return null;
    }

    @Override
    public WeaponAPI getWeapon() {
        return theWeapon;
    }
}

