package data.scripts;

import com.fs.starfarer.api.BaseModPlugin;
import com.fs.starfarer.api.Global;
import com.fs.starfarer.api.campaign.SectorEntityToken;
import com.fs.starfarer.api.impl.campaign.procgen.NebulaEditor;
import com.fs.starfarer.api.impl.campaign.terrain.HyperspaceTerrainPlugin;
import com.fs.starfarer.api.util.Misc;
import org.lwjgl.util.vector.Vector2f;

public class HyperSpaceCleaner extends BaseModPlugin
{		
	//private final float maxDist = 3000f*3000f;
	@Override
	public void onGameLoad(boolean newGame) {
		HyperspaceTerrainPlugin hyper = (HyperspaceTerrainPlugin) Misc.getHyperspaceTerrain().getPlugin();
		NebulaEditor editor = new NebulaEditor(hyper);
		for(SectorEntityToken jumpPoint : Global.getSector().getHyperspace().getJumpPoints()){
			Vector2f loc = jumpPoint.getLocationInHyperspace();
			editor.clearArc(loc.getX(), loc.getY(), 200f, 500f, 0f, 360f);
		}
	}
	
    @Override
    public void onApplicationLoad()
    {
        boolean hasLazyLib = Global.getSettings().getModManager().isModEnabled("lw_lazylib");
        if (!hasLazyLib)
        {
            throw new RuntimeException("Thar Be Dragons requires LazyLib.");
        }
    }
}
