package data.hullmods;

import com.fs.starfarer.api.combat.BaseHullMod;
import com.fs.starfarer.api.combat.MutableShipStatsAPI;
import com.fs.starfarer.api.combat.ShipAPI.HullSize;

public class EfficientMagazines extends BaseHullMod {

	public static final float AMMO_BONUS = 30f;
	
	@Override
	public void applyEffectsBeforeShipCreation(HullSize hullSize, MutableShipStatsAPI stats, String id) {
		stats.getBallisticRoFMult().modifyMult(id, 1 + (AMMO_BONUS * 0.01f));
		stats.getEnergyRoFMult().modifyMult(id, 1 + (AMMO_BONUS * 0.01f));
	}
	
	@Override
	public String getDescriptionParam(int index, HullSize hullSize) {
		if (index == 0) return "" + Math.round(AMMO_BONUS) + "%";
		return null;
	}


}
