package data.scripts;

import com.fs.starfarer.api.BaseModPlugin;
import com.fs.starfarer.api.Global;

public class ExplorerSociety_ModPlugin extends BaseModPlugin
{
    @Override
    public void onApplicationLoad()
    {
        boolean hasLazyLib = Global.getSettings().getModManager().isModEnabled("lw_lazylib");
        if (!hasLazyLib)
        {
            throw new RuntimeException("Explorer Society requires LazyLib.");
        }
        boolean hasFXCore = Global.getSettings().getModManager().isModEnabled("xxx_ss_FX_mod");
        if (!hasFXCore)
        {
            throw new RuntimeException("Explorer Society requires the Starsector FX Core mod.");
        }
        boolean hasFXThruster = Global.getSettings().getModManager().isModEnabled("xxx_ss_Thruster_FX_mod");
        if (!hasFXThruster)
        {
            throw new RuntimeException("Explorer Society requires the Starsector FX Thruster Mod.");
        }
        boolean hasEZDamage = Global.getSettings().getModManager().isModEnabled("ez_damage");
        if (!hasEZDamage)
        {
            throw new RuntimeException("Explorer Society requires the EZ Damage Mod.");
        }		
    }
}
