package data.hullmods;

import com.fs.starfarer.api.combat.BaseHullMod;
import com.fs.starfarer.api.combat.MutableShipStatsAPI;
import com.fs.starfarer.api.combat.ShipAPI.HullSize;

public class HeavyMissileRacks extends BaseHullMod {

	public static final float DAMAGE_BONUS = 35f;
	
	@Override
	public void applyEffectsBeforeShipCreation(HullSize hullSize, MutableShipStatsAPI stats, String id) {
		stats.getMissileWeaponDamageMult().modifyMult(id, 1f + (DAMAGE_BONUS * 0.01f));
	}
	
	@Override
	public String getDescriptionParam(int index, HullSize hullSize) {
		if (index == 0) return "" + Math.round(DAMAGE_BONUS);
		return null;
	}


}
