package data.hullmods;

import com.fs.starfarer.api.combat.BaseHullMod;
import com.fs.starfarer.api.combat.ShipAPI;
import com.fs.starfarer.api.combat.ShipAPI.HullSize;

public class PDBuff extends BaseHullMod {
	
	private final float PD_BUFF = 50f;

	@Override
	public void applyEffectsAfterShipCreation(ShipAPI ship, String id) {
		ship.getMutableStats().getDamageToMissiles().modifyPercent(id, PD_BUFF);
		ship.getMutableStats().getDamageToFighters().modifyPercent(id, PD_BUFF);
	}
	
	@Override
	public String getDescriptionParam(int index, HullSize hullSize) {
		if (index == 0) return "" + Math.round(PD_BUFF) + "%";
		return null;
	}
}
